#!/bin/sh
#----------------------------------------------------------------------------
# /usr/share/doc/inet/examples/create_dot_ftpquota.sh
#                     - example script for creating .ftpquota files
#
# Copyright (c) 2001-2010 Ansgar Pster <ansgar.puester@freenet.de>
#
# Creation:     27.04.2003  ap
# Last Update:  29.01.2005  ap
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# include eislib
. /var/install/include/eislib

run_quotacheck()
{
  FILE=$1

  while read LINE
  do
     DEFUSER=$2
     USER=`echo $LINE | cut -f1 -d:`
     if [ "$DEFUSER" = '' ]; then
        DEFUSER=$USER
     fi
     HDIR=`echo $LINE | cut -f6 -d:`
     GROUP=`echo $LINE | cut -f4 -d:`

     # ignore User belonging to a group id < 100
     [ "$GROUP" -lt 100 ] && continue

     # ignore User belonging to group 65534
     [ "$GROUP" = 65534 ] && continue

     #echo "USER=$USER DEFUSER=$DEFUSER HDIR=$HDIR"
     if [ -d "$HDIR" ]; then
        mecho "working for user $DEFUSER on $HDIR"
        /usr/sbin/pure-quotacheck -u $DEFUSER -d $HDIR
     else
        mecho -warn "home directory $HDIR for user $USER does not (yet) exist"
     fi

  done < $FILE
}

mecho -info "Script $0 started"

mecho "Running pure-quotacheck for all non-system users found in /etc/passwd"

FILE="/etc/passwd"
# no default user
run_quotacheck $FILE ''

mecho "Running pure-quotacheck for all virtual users found in /etc/pureftpd.passwd"

if [ -f /etc/pureftpd.passwd ]; then
   FILE="/etc/pureftpd.passwd"
   # set default user to vftp
   run_quotacheck $FILE vftp
fi

echo "Script finished"
