#!/bin/sh
#------------------------------------------------------------------------------
# /var/install/dialog.d/PURE_FTPD_CERTIFICATE.sh - script dialog for ece
#
# Original      ASTERISK_WEBINTERFACE_CERTIFICATE_CUI.sh
#
# Creation:     2015-03-09 hbfl
# Last update:  $Id: PURE_FTPD_CERTIFICATE.sh 44740 2017-01-24 15:35:20Z ansgar $
#
# Copyright (c) 2015-2015 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
# Copyright (c) 2016-2017 Ansgar Puester, ansgar.puester(at)freenet(dot)de
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

. /var/install/include/cuilib
. /var/install/include/ecelib

cert_path='/var/certs/ssl/certs'

#----------------------------------------------------------------------------
# exec_dialog
# ece --> request to create and execute dialog
#         $p2 --> main window handle
#         $p3 --> name of config variable
#----------------------------------------------------------------------------
exec_dialog()
{
    win="$p2"

    if [ ! -d ${cert_path} ]
    then
       cui_message "$win" "Directory ${cert_path} does not exist." "SSL server certificate selection" "$MB_OK"
       cui_return "$IDCANCEL"
    fi

    certificate=$( find $cert_path -maxdepth 1 -type f -name '*.pem' -printf '%f,\n' | sort )
    sellist="${certificate}"

    if [ -n "${sellist}" ]
    then
       ece_select_list_dlg "$win" "Select the SSL server certificate" "$sellist"
    else
       # -------------------------------------------------------------
       # No fileset entries found, so show a message according to this
       cui_message "$win" "No .pem file in ${cert_path} found." "SSL server certificate selection" "$MB_OK"
       cui_return "$IDCANCEL"
    fi
}

#----------------------------------------------------------------------------
# main routine
#----------------------------------------------------------------------------

cui_init
cui_run

#----------------------------------------------------------------------------
# end
#----------------------------------------------------------------------------

exit 0
