#!/bin/sh
# ----------------------------------------------------------------------------
# /var/install/dialog.d/PURE_FTPD_TLS.sh - script dialog for ece
#
# Creation:     2010-11-21 Ansgar Puester
# Last update:  $Id: PURE_FTPD_TLS.sh 41369 2016-05-06 12:13:25Z ansgar $
#
# Copyright (c) 2010-2012 Ansgar Puester, ansgar.puester(at)freenet(dot)de
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# ----------------------------------------------------------------------------

. /var/install/include/cuilib
. /var/install/include/ecelib

# ----------------------------------------------------------------------------
# exec_dialog
# ece --> request to create and execute dialog
#         $p2 --> main window handle
#         $p3 --> name of config variable
# ----------------------------------------------------------------------------

exec_dialog()
{
local win="$p2"

if [ -n "${sellist}" ]
then
    ece_comment_list_dlg "$win" "Select tls behavior" "$sellist"
else
    # -------------------------------------------------------------
    # No fileset entries found, so show a message according to this
    cui_message "$win" "You must define at least one tls behavior." "Tls behavior selection" "$MB_OK"
    cui_return "$IDCANCEL"
fi
}
# ----------------------------------------------------------------------------
# Create the selection list out of all configured and active filesets
# ----------------------------------------------------------------------------
createSelection ()
{
    true
}

# ----------------------------------------------------------------------------
# Main routine
# ----------------------------------------------------------------------------
sellist='0|Disable SSL/TLS,1|Accept normal and SSL/TLS,2|Only SSL/TLS,3|Only SSL/TLS no clear data connections'

createSelection

cui_init
cui_run

# ----------------------------------------------------------------------------
# end
# ----------------------------------------------------------------------------

exit 0
